#ifndef __FSOL1_H
#define __FSOL1_H

#include <omnetpp.h>

//namespace fso_01 {


class fsoL1 : public cSimpleModule
{
  private:
    int counter;
    //cMessage *event;     // pointer to the event object which we'll use for timing
    //cMessage *tictocMsg; // variable to remember the message until we send it back
    //cOutVector DelayVector;

  public:
      fsoL1();
      virtual ~fsoL1();

  protected:
    virtual void initialize();
    virtual void handleMessage(cMessage *msg);
};

//}; // namespace

#endif
